package com.bc_chat.bc_base.contract

import com.bc_chat.bc_base.entity.FriendApplyRecordBean
import com.bc_chat.bc_base.entity.NavEntity
import com.bc_chat.bc_base.entity.wallet.NoticeEntity

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：首页
 */
interface MainContract {
    interface Presenter {
        /**
         * 群信息
         */
        fun groupinfoTask(groupId: String, name: String?)

        /**
         * 用户信息
         */
        fun userInfoTask(cuid: String)

        /**
         * 加入群
         */
        fun addGroupMember(groupId: String, groupName: String, userNames: String, uids: String);


        fun getUpdateVerson(isShowDialog: Boolean? = false)

        fun isSetPayKey();

        fun getLastestNotice();

        fun getNavData();

        fun applyFriendList(page_num: Int, page_size: Int);
    }

    interface View : GroupInfoContract.View, UserInfoContract.View, UpdateVersonContract.View {
        /**
         * 加群成功
         */
        fun addGroupSuccess(groupId: String, groupName: String)

        fun isSetPayKeySuccess(isSet: Boolean);

        fun getLastestNoticeSuccess(noticeEntity: NoticeEntity?);

        fun getNavDataSuccess(dataList: List<NavEntity>?);

        fun getNavDataFailed();

        fun applyFriendListSuccess(data: List<FriendApplyRecordBean>?);


    }
}
